#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1,2 | tr -d 'v')
%define		sname		manette
#-----------------------------------------------------------------------------
Name		:	libmanette
Version		:	0.2.5
Release		:	17.2.0.rel%{?dist}
Summary		:	Game controller library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GNU LGPLv2.1
URL		:	https://gitlab.gnome.org/aplazas/libmanette

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	meson

BuildRequires	:	pkgconfig(gio-2.0)
BuildRequires	:	pkgconfig(gladeui-2.0)
BuildRequires	:	pkgconfig(glib-2.0)
BuildRequires	:	pkgconfig(gmodule-2.0)
BuildRequires	:	pkgconfig(gobject-introspection-1.0)
BuildRequires	:	pkgconfig(gudev-1.0)
BuildRequires	:	pkgconfig(libevdev)

BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
libmanette is a small GObject library giving you simple access to game
controllers.
 
This library is intended for software needing a painless access to game
controllers from any programming language and with little dependencies.
 
It supports the de-facto standard gamepads as defined by the W3C standard
Gamepad specification or as implemented by the SDL GameController. More game
controller kinds could be supported in the future if needed. Mapping of the
devices is handled transparently and internally by the library using the
popular SDL mapping string format.
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_libdir}/%{name}-%{majorver}.so.0*
%{_libdir}/girepository-1.0/*.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_bindir}/%{sname}-test
%{_libdir}/%{name}-%{majorver}.so
%{_libdir}/pkgconfig/%{sname}-%{majorver}.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/%{sname}*-%{majorver}.deps
%{_datadir}/vala/vapi/%{sname}*-%{majorver}.vapi

#=============================================================================
%prep
%setup -q
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

#-----------------------------------------------------------------------------
%changelog

